From 9d55a76ffcedb0dc49310194a62834b381a227a2 Mon Sep 17 00:00:00 2001
From: "okbob@github.com" <pavel.stehule@gmail.com>
Date: Fri, 4 Jun 2021 21:40:47 +0200
Subject: [PATCH] utf8_to_unicode can be static function

---
 src/pspg.c    | 4 ++--
 src/unicode.c | 4 +++-
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/src/pspg.c b/src/pspg.c
index 14d8248..5aac1e1 100644
--- a/src/pspg.c
+++ b/src/pspg.c
@@ -383,7 +383,7 @@ trim_footer_rows(Options *opts, DataDesc *desc)
 			else
 				*line = '\0';
 
-			len = opts->force8bit ? strlen(line) : utf8len(line);
+			len = opts->force8bit ? (int) strlen(line) : utf8len(line);
 			if (len > desc->footer_char_size)
 				desc->footer_char_size = len;
 		}
@@ -6854,7 +6854,7 @@ main(int argc, char *argv[])
 						strncpy(scrdesc.searchterm, locsearchterm, sizeof(scrdesc.searchterm));
 						scrdesc.has_upperchr = has_upperchr(&opts, scrdesc.searchterm);
 						scrdesc.searchterm_size = strlen(scrdesc.searchterm);
-						scrdesc.searchterm_char_size = opts.force8bit ? strlen(scrdesc.searchterm) : utf8len(scrdesc.searchterm);
+						scrdesc.searchterm_char_size = opts.force8bit ? (int) strlen(scrdesc.searchterm) : utf8len(scrdesc.searchterm);
 
 						search_direction = SEARCH_FORWARD;
 
diff --git a/src/unicode.c b/src/unicode.c
index 6d55056..d01160f 100644
--- a/src/unicode.c
+++ b/src/unicode.c
@@ -16,6 +16,8 @@
 #include "unicode.h"
 #include "string.h"
 
+inline static wchar_t utf8_to_unicode(const unsigned char *c);
+
 /*
  * Returns length of utf8 string in chars.
  */
@@ -287,7 +289,7 @@ unicode_to_utf8(wchar_t c, unsigned char *utf8string, int *size)
  *
  * No error checks here, c must point to a long-enough string.
  */
-inline wchar_t
+inline static wchar_t
 utf8_to_unicode(const unsigned char *c)
 {
 	if ((*c & 0x80) == 0)
